@use '@angular/material' as mat;

@include mat.core();
/* 
$mat-hero-primary: (
  50: #673ab7,
  100: #673ab7,
  200: #673ab7,
  300: #673ab7,
  400: #673ab7,
  500: #673ab7,
  600: #673ab7,
  700: #673ab7,
  800: #673ab7,
  900: #673ab7,
  A100: #673ab7,
  A200: #673ab7,
  A400: #673ab7,
  A700: #673ab7,
  contrast: (
    50: $dark-primary-text,
    100: $dark-primary-text,
    200: $dark-primary-text,
    300: $dark-primary-text,
    400: $light-primary-text,
    500: $light-primary-text,
    600: $light-primary-text,
    700: $light-primary-text,
    800: $light-primary-text,
    900: $light-primary-text,
    A100: $dark-primary-text,
    A200: $dark-primary-text,
    A400: $light-primary-text,
    A700: $light-primary-text,
  )
); */

// Define a dark theme
$dark-theme: mat.define-dark-theme((
 color: (
   primary: mat.define-palette(mat.$pink-palette),
   accent: mat.define-palette(mat.$blue-grey-palette),
 ),
  // Only include `typography` and `density` in the default dark theme.
  typography: mat.define-typography-config(),
  density: 0,
));

// Define a light theme
$light-theme: mat.define-light-theme((
 color: (
   primary: mat.define-palette(mat.$indigo-palette),
   accent: mat.define-palette(mat.$pink-palette),
 ),
));




// Apply the dark theme by default
@include mat.core-theme($light-theme);
@include mat.button-theme($light-theme);
